Bug 177509 - No i915 DRM module
No i915 DRM module
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Geoff Gustafson
Brian Brock
: FutureFeature
Depends On:
Blocks: 181409 185624
  Show dependency treegraph
Reported: 2006-01-11 06:24 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-10 17:51:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2006-01-11 06:24:05 EST
kernel 2.6.9-27.EL doesn't include the i915 DRM support because no Intel AGP
support is compiled on x86-64.

$ rpm -qpl kernel-2.6.9-27.EL.i686.rpm | grep drm

$ rpm -qpl kernel-2.6.9-27.EL.x86_64.rpm | grep drm

The depends look broken in drivers/char/agp/Kconfig:
config AGP_INTEL
       tristate "Intel 440LX/BX/GX, I8xx and E7x05 chipset support"
       depends on AGP && X86 && !X86_64

       tristate "Intel i865 chipset support"
       depends on AGP && X86
Comment 21 Bob Johnson 2006-04-11 13:16:30 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 25 Red Hat Bugzilla 2006-08-10 17:51:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.